# Installation
> `npm install --save @types/shimmer`

# Summary
This package contains type definitions for Shimmer (https://github.com/othiym23/shimmer).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/shimmer.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/shimmer/index.d.ts)
````ts
// Type definitions for Shimmer 1.x
// Project: https://github.com/othiym23/shimmer
// Definitions by: Kelvin Jin <https://github.com/kjin>
// Definitions: https://github.com/DefinitelyTyped/DefinitelyTyped
// TypeScript Version: 2.2

declare global {
    interface Function {
        __wrapped?: boolean | undefined;
    }
}

declare const shimmer: {
    (options: { logger?(msg: string): void }): void;
    wrap<Nodule extends object, FieldName extends keyof Nodule>(
        nodule: Nodule,
        name: FieldName,
        wrapper: (original: Nodule[FieldName]) => Nodule[FieldName]
    ): void;
    massWrap<Nodule extends object, FieldName extends keyof Nodule>(
        nodules: Nodule[],
        names: FieldName[],
        wrapper: (original: Nodule[FieldName]) => Nodule[FieldName]
    ): void;
    unwrap<Nodule extends object>(
        nodule: Nodule,
        name: keyof Nodule
    ): void;
    massUnwrap<Nodule extends object>(
        nodules: Nodule[],
        names: Array<keyof Nodule>
    ): void;
};

export = shimmer;

````

### Additional Details
 * Last updated: Tue, 06 Jul 2021 16:34:43 GMT
 * Dependencies: none
 * Global values: none

# Credits
These definitions were written by [Kelvin Jin](https://github.com/kjin).
