import { Separator } from '@inquirer/core';
type Choice<Value> = {
    name?: string;
    value: Value;
    disabled?: boolean | string;
    checked?: boolean;
    type?: never;
};
type Item<Value> = Separator | Choice<Value>;
declare const _default: <Value>(config: {
    message: string;
    prefix?: string | undefined;
    pageSize?: number | undefined;
    instructions?: string | boolean | undefined;
    choices: readonly (Separator | Choice<Value>)[];
    loop?: boolean | undefined;
    required?: boolean | undefined;
    validate?: ((items: readonly Item<Value>[]) => string | boolean | Promise<string | boolean>) | undefined;
    theme?: {
        icon?: {
            checked?: string | undefined;
            unchecked?: string | undefined;
            cursor?: string | undefined;
        } | undefined;
        style?: {
            disabledChoice?: {} | undefined;
            renderSelectedChoices?: {} | undefined;
            answer?: {} | undefined;
            message?: {} | undefined;
            error?: {} | undefined;
            defaultAnswer?: {} | undefined;
            help?: {} | undefined;
            highlight?: {} | undefined;
            key?: {} | undefined;
        } | undefined;
        helpMode?: "always" | "auto" | "never" | undefined;
        prefix?: string | undefined;
        spinner?: {
            interval?: number | undefined;
            frames?: (string | undefined)[] | undefined;
        } | undefined;
    } | undefined;
}, context?: import("@inquirer/type").Context | undefined) => import("@inquirer/type").CancelablePromise<Value[]>;
export default _default;
export { Separator } from '@inquirer/core';
